Get all point of sales
Get all point of sales for the authenticated entity (organization or account)
query Parameters
pagePage number
page_sizeNumber of point of sales per page
account_idAccount ID
Get all point of sales › Responses
OK
Response data (only for success status)
statusResponse status
Create point of sale
Create a new point of sale. If an account_id is provided, the point of sale will be created for that account.
Create point of sale › Request Body
nameHuman friendly name for the point of sale.
reference_currencyReference currency
typePoint of sale type
account_idOptional: Account ID
Merchant information. Omit to keep existing.
payment_optionsOptional: Allowed unique asset IDs for the point of sale
return_urlOptional: URL to redirect the shopper to after a successful payment
Create point of sale › Responses
OK
Response data (only for success status)
statusResponse status
Get point of sale
Retrieve the point of sale data for the given ID.
path Parameters
posIDPoint of sale ID
Get point of sale › Responses
OK
Response data (only for success status)
statusResponse status
Update point of sale payment options
Partially update point of sale attributes. Omitted fields (name, payment_options, merchant, reference_currency, return_url) are preserved.
path Parameters
posIDPoint of sale ID
Update point of sale payment options › Request Body
Merchant information. Omit to keep existing.
nameHuman friendly name for the point of sale.
payment_optionsAllowed unique asset IDs. Omit to keep existing; send [] to clear.
reference_currencyReference currency. Omit to keep existing.
return_urlOptional: URL to redirect the shopper to after a successful payment. Omit to keep existing.
Update point of sale payment options › Responses
OK
Response data (only for success status)
statusResponse status
Delete point of sale
Delete point of sale by ID.
path Parameters
posIDPoint of sale ID
Delete point of sale › Responses
OK
Response data (only for success status)
statusResponse status
Get payment intention
Get payment intention by point of sale ID.
path Parameters
posIDPoint of sale ID
Get payment intention › Responses
OK
Response data (only for success status)
statusResponse status
Create payment intention
Create a payment intention for the given point of sale ID.
path Parameters
posIDPoint of sale ID
Create payment intention › Request Body
amountRequested payment amount
coin_codeUnique identifier for the cryptocurrency asset
external_idOptional reference ID for tracking the payment request
Create payment intention › Responses
OK
Response data (only for success status)
statusResponse status
Close payment intention
Close a payment intention for the given point of sale ID.
path Parameters
posIDPoint of sale ID
Headers
AuthorizationBearer token
x-fluxis-api-keyFluxis API Key ID
Close payment intention › Responses
OK
Response data (only for success status)
statusResponse status
Create payment request
Create a payment request for the given point of sale ID. Return a NASPIP Payment Instructions.
path Parameters
posIDPoint of sale ID
Create payment request › Request Body
amountRequested payment amount
unique_asset_idUnique identifier for the cryptocurrency asset
Order data
reference_idOptional reference ID for tracking the payment request
Create payment request › Responses
OK
Response data (only for success status)
statusResponse status
Create payment request checkout
Create a hosted checkout payment request for the given point of sale ID.
path Parameters
posIDPoint of sale ID
Create payment request checkout › Request Body
amountRequested payment amount
coin_codeUnique identifier for the cryptocurrency asset
Order data
reference_idOptional reference ID for tracking the payment request
Create payment request checkout › Responses
OK
Response data (only for success status)
statusResponse status
Get payment request
Get payment request by ID.
path Parameters
paymentRequestIDPayment request ID
Get payment request › Responses
OK
Response data (only for success status)
statusResponse status
Get QR
Get QR by point of sale ID.
path Parameters
posIDPoint of sale ID
Get QR › Responses
OK
Response data (only for success status)
statusResponse status